Bug 11201 - List pending in-house checkouts
Summary: List pending in-house checkouts
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords: rel_3_18_candidate
Depends on: 10859 10860
Blocks: 15841
  Show dependency treegraph
 
Reported: 2013-11-05 11:28 UTC by Jonathan Druart
Modified: 2016-02-22 10:56 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11201: Add a in-house use list pages (9.73 KB, patch)
2013-11-05 11:34 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11201: Add a in-house use list pages (9.04 KB, patch)
2014-09-05 11:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11201: Display lib instead of AV code (1.46 KB, patch)
2014-09-05 11:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11201: Add a in-house use list pages (9.39 KB, patch)
2014-09-17 09:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11201: Display overdues in red (2.07 KB, patch)
2014-11-04 09:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11201: Display overdues in red (2.07 KB, patch)
2015-03-02 11:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11201: Add a in-house use list pages (9.46 KB, patch)
2015-03-04 12:47 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11201: Display overdues in red (2.14 KB, patch)
2015-03-04 12:51 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 11201: qa-followup (2.15 KB, patch)
2015-03-06 09:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11201: qa-followup (2.21 KB, patch)
2015-03-06 10:07 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 11201: Add a in-house use list pages (9.51 KB, patch)
2015-03-16 01:00 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11201: Display overdues in red (2.19 KB, patch)
2015-03-16 01:00 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11201: qa-followup (2.27 KB, patch)
2015-03-16 01:00 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11201 - QA follow-up - Pending on-site checkouts (2.85 KB, patch)
2015-03-16 01:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-11-05 11:28:40 UTC

    
Comment 1 Jonathan Druart 2013-11-05 11:34:09 UTC Comment hidden (obsolete)
Comment 2 Christopher Brannon 2014-04-04 22:56:27 UTC
Tried applying this patch in a sandbox and got this message:

The sandbox you've requested is not ready.
Some problems occurred applying patches from bug 11201:
<h1>Something went wrong !</h1>Applying: Bug 11201: Add a in-house use list pages
fatal: sha1 information is lacking or useless (C4/Circulation.pm).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 11201: Add a in-house use list pages When you have resolved this problem run git bz apply --continue.
If you would prefer to skip this patch, instead run git bz apply --skip.
To restore the original branch and stop patching run git bz apply --abort.
Bug 11201 - List pending in-house uses

22718 - Bug 11201: Add a in-house use list pages

Apply? [(y)es, (n)o, (i)nteractive] Patch left in /tmp/Bug-11201-Add-a-in-house-use-list-pages-69ntjD.patch .

Christopher
Comment 3 Jonathan Druart 2014-04-07 07:35:43 UTC
(In reply to Christopher Brannon from comment #2)
> Tried applying this patch in a sandbox and got this message:

This patch depends on bug 10859 and bug 10860. You must apply them before applying this one. That cannot be done with a sandbox.
Comment 4 Jonathan Druart 2014-09-05 11:14:37 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2014-09-05 11:14:43 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2014-09-17 09:58:16 UTC Comment hidden (obsolete)
Comment 7 Owen Leonard 2014-11-03 19:42:37 UTC
There a couple of things I would like to see added if possible:

- Output of subtitles as defined in Keyword to MARC mapping
- Overdue items highlighted in red as they are on the checkouts page
Comment 8 Jonathan Druart 2014-11-04 09:23:34 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2014-11-04 09:25:18 UTC
(In reply to Owen Leonard from comment #7)
> - Output of subtitles as defined in Keyword to MARC mapping

I don't want to add to much information on this table.
But this could be done later if needed.

> - Overdue items highlighted in red as they are on the checkouts page

Done.
Comment 10 Nicole C. Engard 2015-03-02 09:58:30 UTC
I am not seeing anything on my on site checkouts page and I do have an item checked out for onsite. Is there something else I need to do?
Comment 11 Jonathan Druart 2015-03-02 11:12:28 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2015-03-02 11:18:44 UTC
(In reply to Nicole C. Engard from comment #10)
> I am not seeing anything on my on site checkouts page and I do have an item
> checked out for onsite. Is there something else I need to do?

Sorry Nicole, there was a syntax error in the sql query.
Comment 13 Nicole C. Engard 2015-03-04 12:47:40 UTC Comment hidden (obsolete)
Comment 14 Nicole C. Engard 2015-03-04 12:51:02 UTC Comment hidden (obsolete)
Comment 15 Katrin Fischer 2015-03-05 16:56:37 UTC
Sorry :(

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 11201: Display overdues in red
fatal: sha1 information is lacking or useless (C4/Circulation.pm).
...
Comment 16 Jonathan Druart 2015-03-06 08:06:33 UTC
Should be good now.
Comment 17 Katrin Fischer 2015-03-06 08:36:55 UTC
Comment on attachment 36471 [details] [review]
[SIGNED-OFF] Bug 11201: Add a in-house use list pages

Review of attachment 36471 [details] [review]:
-----------------------------------------------------------------

Tiny tiny things... :)

::: koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation-home.tt
@@ +46,4 @@
>  	systems with large numbers of overdue items.</li>[% END %]
>  	<li>    <a href="/cgi-bin/koha/circ/branchoverdues.pl">Overdues with fines</a> - Limited to your library.  See report help for other details.</li>
>  <!--	<li>    <a href="/cgi-bin/koha/circ/stats.pl?time=yesterday">Daily reconciliation</a></li> -->
> +    <li><a href="/cgi-bin/koha/circ/on-site_checkouts.pl">On-site checkout list</a></li>

Hi Jonathan, can you please make the visibility of the link depend on the system preference?

::: koha-tmpl/intranet-tmpl/prog/en/modules/circ/on-site_checkouts.tt
@@ +40,5 @@
> +<div id="doc3" class="yui-t2">
> +  <div id="bd">
> +    <div id="yui-main">
> +      <div class="yui-b">
> +        <h4>Pending on-site checkout list</h4>

I think this should be <h1> as on the other pages - otherwise the 'no pending...' message is bigger than the heading.

After discussing with Nicole it would be nice if the circulation start page and the heading both said:
Pending on-site checkouts
Comment 18 Jonathan Druart 2015-03-06 09:30:35 UTC Comment hidden (obsolete)
Comment 19 Nicole C. Engard 2015-03-06 10:07:17 UTC Comment hidden (obsolete)
Comment 20 Katrin Fischer 2015-03-16 01:00:24 UTC
Created attachment 36914 [details] [review]
[PASSED QA] Bug 11201: Add a in-house use list pages

The circulation page has a new entry: a link to a list of the pending
in-house use.

Bug 10860 introduces a new way for managing in-house uses.
This patch adds a new page (from the circulation home page) to list all
pending in-house uses.

Test plan:
Go on the circulation home page and click on the in-house use link.
Verify all your in-house uses are listed and information are consistent.

Bug 11201: Display lib instead of AV code

This patch assumes that items.location is linked the the LOC
authorised values.

Signed-off-by: Nicole <nicole@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 21 Katrin Fischer 2015-03-16 01:00:27 UTC
Created attachment 36915 [details] [review]
[PASSED QA] Bug 11201: Display overdues in red

On the pending on-site checkout list, the date for overdues are now
displayed in red.

Test plan:
Make sure you have on-site checkouts created today and before.
The date for the ones created before today should be displayed in red.

Signed-off-by: Nicole <nicole@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 22 Katrin Fischer 2015-03-16 01:00:30 UTC
Created attachment 36916 [details] [review]
[PASSED QA] Bug 11201: qa-followup

- move h4 to h1
- Make the link on the circ home page depending on the pref

Signed-off-by: Nicole Engard <nengard@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 23 Katrin Fischer 2015-03-16 01:00:34 UTC
Created attachment 36917 [details] [review]
Bug 11201 - QA follow-up - Pending on-site checkouts

Changes page name to "Pending on-site checkouts" as
agreed during the hackfest.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 24 Tomás Cohen Arazi 2015-03-31 14:38:45 UTC
Patches pushed to master.

Thanks Jonathan!